[API Reference](../README.md) > [VoteConfig](../interfaces/VoteConfig.md)



# Interface: VoteConfig


## Properties
<a id="onBehalfOf"></a>

### «Optional» onBehalfOf

**●  onBehalfOf**:  *[Address](../#Address)* 

*Defined in [commonTypes.ts:11](https://github.com/daostack/arc.js/blob/f779630e/lib/commonTypes.ts#L11)*



optional address of agent casting the vote.




___

<a id="proposalId"></a>

###  proposalId

**●  proposalId**:  *[Hash](../#Hash)* 

*Defined in [commonTypes.ts:15](https://github.com/daostack/arc.js/blob/f779630e/lib/commonTypes.ts#L15)*



unique hash of proposal index




___

<a id="vote"></a>

###  vote

**●  vote**:  *`number`* 

*Defined in [commonTypes.ts:19](https://github.com/daostack/arc.js/blob/f779630e/lib/commonTypes.ts#L19)*



the choice of vote. Can be 1 (YES) or 2 (NO).




___


